MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002479ATutor- no cat -public2006-05-31 11:402006-06-05 08:08
Reporterheidi 
Assigned Touser2 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version1.5.3 
Summary0002479: php 505 issues
Descriptionarray merge expects both arguments to be arrays and crashes if they're not.

current() in Module.class.php needs a variable that is reset() before use.

in Module::getName()
replace current($this-....)
with
$tmp = $this-
current($tmp)
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships

-  Notes
(0001886)
heidi (developer)
2006-06-01 08:37

Warning

The behavior of array_merge() was modified in PHP 5. Unlike PHP 4, array_merge() now only accepts parameters of type array. However, you can use typecasting to merge other types. See the example below for details.

Example 3. array_merge() PHP 5 example
<?php
$beginning = 'foo';
$end = array(1 => 'bar');
$result = array_merge((array)$beginning, (array)$end);
print_r($result);
?>
(0001923)
user2
2006-06-05 08:07

casting is yuck.

- Issue History
Date Modified Username Field Change
2006-05-31 11:40 heidi New Issue
2006-05-31 11:40 heidi Affects version => SVN
2006-06-01 08:37 heidi Note Added: 0001886
2006-06-05 08:07 user2 Status new => resolved
2006-06-05 08:07 user2 Fixed in Version => 1.5.3
2006-06-05 08:07 user2 Resolution open => fixed
2006-06-05 08:07 user2 Assigned To => user2
2006-06-05 08:07 user2 Note Added: 0001923
2006-06-05 08:08 user2 Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker